Subject: BCS garden tractor

From: [email-masked] (Country-Air)
Date: 22 Mar 1995 16:42:05 GMT

I'm in a new place with several acres and plan to have a large garden near
the house and keep several walking paths clear through my land which is old
fields that are going through succession. I'm considering buying a BCS 12.5
HP walk behind tractor with several attachments (tiller, snow blower, bush
hog mower).  If you own one of these, I'd like to know how well they have
worked for you and what you have been able to use it for and how it has
held up.

Paul